在Scrapy V1.8和V2.0之间做选择

你好,我一直想学习Scrapy,用它从网页上抓取动态数据,并在网站后台使用。

当我去看官方文档的时候,我去知道V.2.0刚出来。

考虑到我是个新手,打算开发一个自主托管的应用,我在想是否应该选择1.8版本而不是2.0版本,因为bug会解决的更好,而且会有更多的教程等。但另一方面,无论如何我将来都会学习2.0,所以也许我应该从2.0本身开始。

所以我有两个问题。

  • 从 v1.8 到 v.2.0 有什么重大的变化吗 (我知道每个版本都有发行说明,但我唯一能理解的是 Python 2 的支持被删除了,其他的都是我不懂的术语。)

  • 我很感激你对我应该选择哪一个的建议。

我之前在1个项目上使用过Selenium & BeatifulSoup4,涉及到搜刮股票价格和相对强弱指数,并将其作为Flask支持的Web应用程序的一部分。

解决方案:

新项目一定要使用最新的Scrapy版本,除非你因为某些原因不能使用。

在1.8和2.0之间,Scrapy的工作方式没有大的变化;从1.8升级到2.0应该和从1.7升级到1.8一样简单。

给TA打赏
共{{data.count}}人
人已打赏
解决方案

Cosmos DB(Mongo DB API)跨分区查询性能不好。

2022-5-14 14:00:12

解决方案

属性错误:'模块'对象没有属性'model',而model字没有写在任何地方。

2022-5-14 14:00:14

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索